SUBROUTINE DEALLOCUF

USE PARKIND1  ,ONLY : JPRB
USE YOMMCUF   ,ONLY : RMCUFGP1  ,RMCUFGP2  ,RMCUFGP3  ,RMCUFGP4  ,RMCUFGP5
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK

!       Purpose:
!      ---------
!               Deallocate GRIDPoint Array for the monitoring of update frequency of the coupling files for ALADIN
                                                                                                                    
!       Interface
!      ----------
!               CALL DEALLOCUF
!       Author
!      -------
!               Rachida El Ouaraini & Ryad El Khatib

IMPLICIT NONE
REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('DEALLOCUF',0,ZHOOK_HANDLE)

IF (ALLOCATED(RMCUFGP1)) DEALLOCATE(RMCUFGP1)
IF (ALLOCATED(RMCUFGP2)) DEALLOCATE(RMCUFGP2)
IF (ALLOCATED(RMCUFGP3)) DEALLOCATE(RMCUFGP3)
IF (ALLOCATED(RMCUFGP4)) DEALLOCATE(RMCUFGP4)
IF (ALLOCATED(RMCUFGP5)) DEALLOCATE(RMCUFGP5)

IF (LHOOK) CALL DR_HOOK('DEALLOCUF',1,ZHOOK_HANDLE)
END SUBROUTINE DEALLOCUF
